% Programm demo.m zeigt an einem Beispiel wie climb funktioniert. 
% 5. Januar 2005 Alexander Steiger

clear all
[X1,X2]=meshgrid(-2:.1:2,-2:.1:2);  % Gitter in der x-y-Ebene wird erzeugt.
                    			    % Dieses wird fuer die folgenden Plot-
                				    % Funktionen benoetigt.
%cosparab *****************************************************
if 1
F=cosparab(X1, X2);

%plot3(X1,X2,F)			 % Diese Funktionen erstellen
%mesh(X1,X2,F)			 % dreidimensionale Plots. 
surf(X1,X2,F)

x_0_1 = 0;  %Anfangswerte
x_0_2 = 1.1;

v = climb('cosparab',[x_0_1 x_0_2]);
b = v(1);
a = v(2);
hold on;
plot3(x_0_1,x_0_2,cosparab(x_0_1,x_0_2),'yo');
plot3(a,b,cosparab(a,b),'y*');
title ('Demo climb','FontSize',16)
xlabel ('X1', 'FontSize',15)
ylabel ('X2','FontSize',15)
zlabel ('F(X)','FontSize',15)
end

if 0
%parabol ******************************************************
F=parabol(X1, X2);

%plot3(X1,X2,F)			 % Diese Funktionen erstellen
%mesh(X1,X2,F)			 % dreidimensionale Plots. 
surf(X1,X2,F)

x_0_1 = 1;  %Anfangswerte
x_0_2 = 1.5;

v = climb('parabol',[x_0_1 x_0_2]);
b = v(1);
a = v(2);
hold on;
plot3(x_0_1,x_0_2,parabol(x_0_1,x_0_2),'yo');
plot3(a,b,parabol(a,b),'y*');
title ('Demo climb','FontSize',16)
xlabel ('X1', 'FontSize',15)
ylabel ('X2','FontSize',15)
zlabel ('F(X)','FontSize',15)
end
